Bug 125864 - /lib/libselinux.so.1 created with context root:object_r:lib_t
/lib/libselinux.so.1 created with context root:object_r:lib_t
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-12 14:38 EDT by Tom London
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 19:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2004-06-12 14:38:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Update to latest selinux packages (libselinux* selinux-policy*
checkpolicy setools) produce errors shown below.

Checking the context for /lib/libselinux.so.1 after 'yum' shows it to
be root:object_r:lib_t. 

I did a 'restorecon /lib/libselinux.so.1' and it became
system_u:object_r:shlib_t. load_policy then succeeds without error.

------------------------------------------------

selinux-policy-strict 100 % done 3/16
/usr/sbin/load_policy: error while loading shared libraries:
libselinux.so.1: failed to map segment from shared object: Permission
denied
warning: /etc/selinux/targeted/contexts/files/file_contexts created as
/etc/selinux/targeted/contexts/files/file_contexts.rpmnew
selinux-policy-targeted 100 % done 4/16
selinux-policy-strict-sources 100 % done 5/16
make: Entering directory `/etc/selinux/strict/src/policy'
/usr/sbin/load_policy /etc/selinux/strict/policy/policy.`cat
/selinux/policyvers`
/usr/sbin/load_policy: error while loading shared libraries:
libselinux.so.1: failed to map segment from shared object: Permission
denied
make: *** [tmp/load] Error 127


Version-Release number of selected component (if applicable):
libselinux-1.13.3-2

How reproducible:
Always

Steps to Reproduce:
1. 'yum update libselinux* selinux-policy*'
2.
3.
    

Additional info:
Comment 1 Daniel Walsh 2004-06-23 17:56:54 EDT
rpm program has been broken which was causing files to get installed
with the wrong context.  This has been fixed in the latest rpm package.

rpm-4.3.2-1

Note You need to log in before you can comment on or make changes to this bug.